#include <stdio.h>
#include <stdlib.h>   
int main(){
    float v, i = 0, n, zamena = 0;
    do{
        v = 0;
        printf("\nUnesite vrednost novcanice: ");
        scanf("%f",&v);
    } while (v<=1 || v>=pow(10,18));
    zamena = v;
    for(n=1; zamena >= 10; n++){
        zamena = zamena / 10;
    }
    do{
        if(v>=5*n){
            v = v-5*n;
            i++;
        }
        for(;v>=2*n; i++){
            v = v - n*2;
        }
        for(;v>=1*n; i++){
            v = v - 1*n;
        }
        n = n - 1
    }
    printf ("\nBroj novcanica je %f.",i);
}